List subnetworks for a network pool
You can list all the subnetworks within a pool by sending a GET request to the /v1/network_pools/{network_pool_id}/subnetworks endpoint. A pool has to be specified in the path parameter. Subnetworks can be used only on dedicated servers.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
network_pool_id | stringA unique identifier of a pool that contains subnetworks. |
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
attached? | booleanThis parameter indicates with |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/network_pools/MvbmOpeY/subnetworks"[ { "id": "openx4b7", "network_pool_id": "MvbmOpeY", "title": "Public", "cidr": "100.10.32.0/29", "attached": true, "interface_type": "public", "updated_at": "2026-05-28T06:56:10Z", "created_at": "2026-05-28T06:56:10Z" }, { "id": "JxboVzag", "network_pool_id": "MvbmOpeY", "title": "title81", "cidr": "100.10.32.8/29", "attached": false, "interface_type": "public", "updated_at": "2026-05-28T06:56:10Z", "created_at": "2026-05-28T06:56:10Z" }, { "id": "8mep81eM", "network_pool_id": "MvbmOpeY", "title": "Public", "cidr": "100.10.32.16/29", "attached": true, "interface_type": "public", "updated_at": "2026-05-28T06:56:10Z", "created_at": "2026-05-28T06:56:10Z" }]